{
	"format_version": "1.20.20",
	"minecraft:block": {
		"description": {
			"identifier": "lv_te:vacuum_module",
			"menu_category": {
				"category": "construction"
			},
			"traits": {
				"minecraft:placement_direction": {
					"enabled_states": [
						"minecraft:facing_direction"
					]
				}
			}
		},
		"components": {
			"minecraft:collision_box": false,
			"minecraft:selection_box": true,
			"minecraft:custom_components": ["lv_te:vacuum_module"],
			"minecraft:tick": {
				"interval_range": [5,5],
				"looping": true
			},
			"minecraft:destructible_by_mining": {
				"seconds_to_destroy": 0.05
			},
			"minecraft:destructible_by_explosion": false,
			"minecraft:geometry": {
				"identifier": "geometry.lv_te.pipe_module"
			},
			"minecraft:material_instances": {
				"*": {
					"texture": "lv_te:vacuum_module",
					"render_method": "alpha_test"
				}
			},
			"minecraft:map_color": "#494949"
		},
		"permutations": [
			{
				"condition": "q.block_state('minecraft:facing_direction') == 'up' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							90,
							0,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:facing_direction') == 'down' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							-90,
							0,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:facing_direction') == 'north' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							0,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:facing_direction') == 'south' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							180,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:facing_direction') == 'east' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							-90,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:facing_direction') == 'west' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							90,
							0
						]
					}
				}
			}
		]
	}
}